<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Implementing Icmp C2 Tunneling — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `listen --interface <val> --icmp-type <val>` | Start ICMP C2 listener |
| `deploy --target <val> --method <val>` | Deploy ICMP C2 agent |
| `exfiltrate --data <val> --method <val>` | Test ICMP data exfiltration |
| `verify --component <val>` | Verify ICMP tunnel status |
| `report --format <val>` | Generate ICMP C2 report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--interface` | string | Yes | Interface parameter |
| `--icmp-type` | string | Yes | Icmp Type parameter |
| `--target` | string | Yes | Target parameter |
| `--method` | string | Yes | Method parameter |
| `--data` | string | Yes | Data parameter |
| `--component` | string | Yes | Component parameter |
| `--format` | string | Yes | Format parameter |
